MySQL Forums :: PHP :: Help on MySQL 4.1 & PHP 4.3.11


Advanced Search

Help on MySQL 4.1 & PHP 4.3.11
Posted by: Premdeep Banga ()
Date: June 08, 2005 05:06PM

I have installed both MySQL 4.1 and PHP 4.3.11 with Apache 2.0.54.

The PHP scripts are running but i am not able to connect to the database, i used the following code to test the connection and it always gives me can't connect:

<?php

mysql_connect( "localhost", "root", "admin" ) or die("Can't connect");
mysql_query( "USE mysql" ) or die("Can't select mysql database");
echo "Success\n";

?>

my phpinfo(); is running well and good. It shws me that i have MySQL server support, as it is provided in PHP 4.3.11 by default and there is no need for extension, as in the case for PHP 5.

I have my MySQL server & Apache server running with no errors.
What could be the issue.
Anyone, please help me out.

Options: ReplyQuote


Subject Written By Posted
Help on MySQL 4.1 & PHP 4.3.11 Premdeep Banga 06/08/2005 05:06PM
Help - Upgraded to MySQL 5 & PHP 4.3.11 Premdeep Banga 06/09/2005 06:22AM
Re: Help - Upgraded to MySQL 5 & PHP 4.3.11 Dmitry Zaitsev 06/09/2005 12:58PM
Re: Help - Upgraded to MySQL 5 & PHP 4.3.11 Raz Mih 03/04/2009 08:59AM
Re: Help on MySQL 4.1 & PHP 4.3.11 Jonathan Stephens 06/09/2005 11:59PM
Re: Help on MySQL 4.1 & PHP 4.3.11 Roy Kups 06/11/2005 07:37PM


Sorry, you can't reply to this topic. It has been closed.

Content reproduced on this site is the property of the respective copyright holders. It is not reviewed in advance by Oracle and does not necessarily represent the opinion of Oracle or any other party.